콘텐츠로 건너뛰기

Elevenlabs - Forced Alignment

통합

모델 id elevenlabs/forced-alignment
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/forced-alignment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

예시와 같은 파일: $0.22 220 API 크레딧 실행 전에 파일을 측정합니다 이 페이지에서 실행

API 키 받기
ElevenLabs 음성을 텍스트로 #forced-alignment#speech-to-text

기존 대본을 오디오 녹음에 정렬하고 단어 및 문자 타이밍을 반환합니다

ElevenLabs · 데이터 (JSON)

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 88 / 675000

오디오와 정렬할 텍스트의 전사문입니다.

•필수 audio_url
파일을 끌어다 놓거나

파일 URL을 통해 정렬 오디오를 제공합니다. 길이는 10시간, 크기는 3 GB로 제한됩니다.

POST /run/elevenlabs/forced-alignment?wait=20 견적 → $0.22
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/forced-alignment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Elevenlabs - Forced Alignment 정보

이미 보유한 대본을 녹음과 대조합니다. `audio_url`과 `text`를 제공하며, 텍스트는 최대 675,000자입니다. 오디오 파일은 최대 3 GB, 10시간입니다. 출력에는 문자 및 단어 수준의 정렬 정보와 평균 정렬 손실이 포함됩니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
audio_url필수 audio
유형url · audio
파일 URL을 통해 정렬 오디오를 제공합니다. 길이는 10시간, 크기는 3 GB로 제한됩니다.
text필수
유형string
≤ 675,000자
오디오와 정렬할 텍스트의 전사문입니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "elevenlabs/forced-alignment",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 220,
    "usd": "0.22",
    "charged": 220,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "characters": [
      {
        "text": "string",
        "start": 1.0,
        "end": 1.0
      }
    ],
    "words": [
      {
        "text": "string",
        "start": 1.0,
        "end": 1.0,
        "loss": 1.0
      }
    ],
    "loss": 1.0
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
characters
array of object {text, start, end}개별 문자에 대한 정렬 정보입니다.
words
array of object {text, start, end, loss}개별 단어에 대한 정렬 정보입니다.
loss
number전사문 전체의 평균 정렬 손실입니다.

더 많은 모델: 음성을 텍스트로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/elevenlabs/forced-alignment.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt